ExtCertPathValidatorException (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jce.exception

## Class ExtCertPathValidatorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - java.security.cert.CertPathValidatorException
        - - org.bouncycastle.jce.exception.ExtCertPathValidatorException

- All Implemented Interfaces:
    java.io.Serializable, ExtException

      public class ExtCertPathValidatorException
      extends java.security.cert.CertPathValidatorException
      implements ExtException

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.security.cert.CertPathValidatorException

      `java.security.cert.CertPathValidatorException.BasicReason, java.security.cert.CertPathValidatorException.Reason`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtCertPathValidatorException(java.lang.String message, java.lang.Throwable cause)`
    `ExtCertPathValidatorException(java.lang.String msg, java.lang.Throwable cause, java.security.cert.CertPath certPath, int index)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()` Returns the cause of the exception.

    - ### Methods inherited from class java.security.cert.CertPathValidatorException

      `getCertPath, getIndex, getReason`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtCertPathValidatorException

          public ExtCertPathValidatorException(java.lang.String message,
                                       java.lang.Throwable cause)

    - #### ExtCertPathValidatorException

          public ExtCertPathValidatorException(java.lang.String msg,
                                       java.lang.Throwable cause,
                                       java.security.cert.CertPath certPath,
                                       int index)

  - ### Method Detail

    - #### getCause

          public java.lang.Throwable getCause()

      Description copied from interface: `ExtException`
      Returns the cause of the exception.
      Specified by:
        `getCause` in interface `ExtException`
      Overrides:
        `getCause` in class `java.lang.Throwable`
      Returns:
        The cause of the exception.